package w.soulofpluto.posstock;

import android.os.Parcel;
import android.os.Parcelable;

/*
 Create by Ramesh Babu
 
 */
public class Plans implements Parcelable {
    String PlanId;
    String Name;
    String Section;
    String division;
    String Barcode;
    String Qty;

    protected Plans(Parcel in) {
        PlanId   = in.readString();
        Name     = in.readString();
        Section  = in.readString();
        division = in.readString();
        Barcode  = in.readString();
        Qty      = in.readString();
    }

    public static final Creator<Plans> CREATOR = new Creator<Plans>() {
        @Override
        public Plans createFromParcel(Parcel in) {
            return new Plans(in);
        }

        @Override
        public Plans[] newArray(int size) {
            return new Plans[size];
        }
    };

    public Plans() {

    }

    public String getPlanId() {
        return PlanId;
    }

    public void setPlanId(String planId) {
        PlanId = planId;
    }

    public String getName() {
        return Name;
    }

    public void setName(String name) {
        Name = name;
    }

    public String getSection() {
        return Section;
    }

    public void setSection(String section) {
        Section = section;
    }

    public String getDivision() {
        return division;
    }

    public void setDivision(String division) {
        this.division = division;
    }

    public String getBarcode() {
        return Barcode;
    }

    public void setBarcode(String barcode) {
        Barcode = barcode;
    }

    public String getQty() {
        return Qty;
    }

    public void setQty(String qty) {
        Qty = qty;
    }
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(PlanId);
        parcel.writeString(Name);
        parcel.writeString(Section);
        parcel.writeString(division);
        parcel.writeString(Barcode);
        parcel.writeString(Qty);
    }

    public String toString() {
        return Name;
    }
}
